﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 3054B: (1 year) VER VISA /9500+1Hd
DATE:                  2017-03-07 09:22:05
AUTHOR:                Fluke
REVISION:              $Revision: 18535 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       229
CONFIGURATION:         Datron 9500 (S6)
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#        ZY
#
#  Source(s):
#        TDS3000B Series Digital Phosphor Oscilloscopes
#        Service Manual, 071-0972-04
#
#  Compatibility:
#        MET/CAL 7.3.38 or later
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  9500         500MH                        1Vpp           LS    S  L
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.005  ASK+           K

  1.006  IF           NOT(VERSIONCHECK("7.3.38"))
  1.007  END
  1.008  ENDIF

  1.009  CALL         Sub Display Copyright
  1.010  CALL         Sub High Voltage Safety Warning
  1.011  CALL         Sub Select Failed Test Mode
  1.012  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.013  HEAD         PRELIMINARY INSTRUCTIONS
  1.014  TARGET
  1.015  DISP         Ensure a minimum UUT warm-up time of at least
  1.015  DISP         20 minutes has been allowed to elapse, prior
  1.015  DISP         to beginning verification.

  1.016  CALL         Sub Tek TDS3000B Ethernet Interface Connection

  1.017  VISA         *RST

  1.018  HEAD         UUT IDENTIFICATION
  1.019  CALL         Sub IEEE-488.2 Identification Query VISA

  1.020  MATH         @UUT_Manufacturer = "Tektronix"
  1.021  MATH         @UUT_Model        = "TDS 3054B"
  1.022  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.023  JMPL         END                           @Abort

  1.024  CALL         Sub Tek TDS3000 Check Firmware Version
  1.025  JMPL         END                           @Abort

  1.026  CALL         Sub Datron 9500 Configuration Query IEEE

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SIGNAL PATH COMPENSATION           SIGNAL PATH COMPENSATION
#    2.   SELF TEST                          SELF TEST
#    3.   DCV GAIN (CH1)                     DCV GAIN (CH1)
#    4.   DCV GAIN (CH2)                     BANDWIDTH (CH1)
#    5.   DCV GAIN (CH3)                     TRIGGER SENS FULL BW (CH1)
#    6.   DCV GAIN (CH4)                     TRIGGER SENS 50 MHz (CH1)
#    7.   BANDWIDTH (CH1)                    SAMPLE RATE AND DELAY TIME ACC
#    8.   BANDWIDTH (CH2)                    DCV GAIN (CH2)
#    9.   BANDWIDTH (CH3)                    BANDWIDTH (CH2)
#   10.   BANDWIDTH (CH4)                    TRIGGER SENS FULL BW (CH2)
#   11.   TRIGGER SENS FULL BW (CH1)         TRIGGER SENS 50 MHz (CH2)
#   12.   TRIGGER SENS FULL BW (CH2)         DCV GAIN (CH3)
#   13.   TRIGGER SENS FULL BW (CH3)         BANDWIDTH (CH3)
#   14.   TRIGGER SENS FULL BW (CH4)         TRIGGER SENS FULL BW (CH3)
#   15.   TRIGGER SENS 50 MHz (CH1)          TRIGGER SENS 50 MHz (CH3)
#   16.   TRIGGER SENS 50 MHz (CH2)          DCV GAIN (CH4)
#   17.   TRIGGER SENS 50 MHz (CH3)          BANDWIDTH (CH4)
#   18.   TRIGGER SENS 50 MHz (CH4)          TRIGGER SENS FULL BW (CH4)
#   19.   SAMPLE RATE AND DELAY TIME ACC     TRIGGER SENS 50 MHz (CH4)

  1.027  CALL         Sub Tek TDS3000 Set Bandwidth & Number of Channels
  1.028  CALL         Sub Tek TDS3000 Signal Path Compensation Cal VISA
  1.029  JMPL         END                           @Abort

  1.030  CALL         Sub Tek TDS3000 Self-Test VISA
  1.031  JMPL         END                           @Abort


  1.032  IF           @HeadTypeCh1 == "9560"
  1.033  MATH         Ch1Adapter = " via SMA(f)-BNC(m) adapter"
  1.034  ELSE
  1.035  MATH         Ch1Adapter = ""
  1.036  ENDIF

  1.037  DISP         Connect the 9500 CH1 Active Head to
  1.037  DISP         UUT CH 1[V Ch1Adapter].

  1.038  MATH         @Chan = 1
  1.039  CALL         Sub Tek TDS3000B (1 yr) DCV VISA /9500
  1.040  JMPL         BANDWIDTH_CH1

  1.041  LABEL        DCV_CH2
  1.042  DISP         Connect the 9500 CH1 Active Head to
  1.042  DISP         UUT CH 2[V Ch1Adapter].

  1.043  MATH         @Chan = 2
  1.044  CALL         Sub Tek TDS3000B (1 yr) DCV VISA /9500
  1.045  JMPL         BANDWIDTH_CH2

  1.046  LABEL        DCV_CH3
  1.047  DISP         Connect the 9500 CH1 Active Head to
  1.047  DISP         UUT CH 3[V Ch1Adapter].

  1.048  MATH         @Chan = 3
  1.049  CALL         Sub Tek TDS3000B (1 yr) DCV VISA /9500
  1.050  JMPL         BANDWIDTH_CH3

  1.051  LABEL        DCV_CH4
  1.052  DISP         Connect the 9500 CH1 Active Head to
  1.052  DISP         UUT CH 4[V Ch1Adapter].

  1.053  MATH         @Chan = 4
  1.054  CALL         Sub Tek TDS3000B (1 yr) DCV VISA /9500
  1.055  JMPL         BANDWIDTH_CH4

  1.056  LABEL        BANDWIDTH_CH1
  1.057  MATH         @Chan = 1
  1.058  CALL         Sub Tek TDS3000B (1 yr) Bandwidth VISA /9500/600
  1.059  JMPL         TRIG_FULL_BW_CH1

  1.060  LABEL        BANDWIDTH_CH2
  1.061  MATH         @Chan = 2
  1.062  CALL         Sub Tek TDS3000B (1 yr) Bandwidth VISA /9500/600
  1.063  JMPL         TRIG_FULL_BW_CH2

  1.064  LABEL        BANDWIDTH_CH3
  1.065  MATH         @Chan = 3
  1.066  CALL         Sub Tek TDS3000B (1 yr) Bandwidth VISA /9500/600
  1.067  JMPL         TRIG_FULL_BW_CH3

  1.068  LABEL        BANDWIDTH_CH4
  1.069  MATH         @Chan = 4
  1.070  CALL         Sub Tek TDS3000B (1 yr) Bandwidth VISA /9500/600
  1.071  JMPL         TRIG_FULL_BW_CH4

  1.072  LABEL        TRIG_FULL_BW_CH1
  1.073  MATH         @Chan = 1
  1.074  CALL         Sub Tek TDS3000B (1 yr) Full BW Trig VISA /9500/600
  1.075  JMPL         TRIG_50MH_CH1

  1.076  LABEL        TRIG_FULL_BW_CH2
  1.077  MATH         @Chan = 2
  1.078  CALL         Sub Tek TDS3000B (1 yr) Full BW Trig VISA /9500/600
  1.079  JMPL         TRIG_50MH_CH2

  1.080  LABEL        TRIG_FULL_BW_CH3
  1.081  MATH         @Chan = 3
  1.082  CALL         Sub Tek TDS3000B (1 yr) Full BW Trig VISA /9500/600
  1.083  JMPL         TRIG_50MH_CH3

  1.084  LABEL        TRIG_FULL_BW_CH4
  1.085  MATH         @Chan = 4
  1.086  CALL         Sub Tek TDS3000B (1 yr) Full BW Trig VISA /9500/600
  1.087  JMPL         TRIG_50MH_CH4

  1.088  LABEL        TRIG_50MH_CH1
  1.089  MATH         @Chan = 1
  1.090  CALL         Sub Tek TDS3000B (1 yr) 50 MHz Trig VISA /9500/600
  1.091  JMPL         SAMPLE_RATE

  1.092  LABEL        TRIG_50MH_CH2
  1.093  MATH         @Chan = 2
  1.094  CALL         Sub Tek TDS3000B (1 yr) 50 MHz Trig VISA /9500/600
  1.095  JMPL         DCV_CH3

  1.096  LABEL        TRIG_50MH_CH3
  1.097  MATH         @Chan = 3
  1.098  CALL         Sub Tek TDS3000B (1 yr) 50 MHz Trig VISA /9500/600
  1.099  JMPL         DCV_CH4

  1.100  LABEL        TRIG_50MH_CH4
  1.101  MATH         @Chan = 4
  1.102  CALL         Sub Tek TDS3000B (1 yr) 50 MHz Trig VISA /9500/600
  1.103  JMPL         END

  1.104  LABEL        SAMPLE_RATE
  1.105  MATH         @Chan = 1
  1.106  CALL         Sub Tek TDS3000B (1 yr) Sample Rate VISA /9500
  1.107  JMPL         DCV_CH2

  1.108  LABEL        END
  1.109  HEAD         -2

  1.110  IF           @Abort
  1.111  HEAD         V E R I F I C A T I O N   A B O R T E D !
  1.112  ELSE
  1.113  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.114  ENDIF

  1.115  END
